package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Cus;
import com.brilliance.isc.bo.Fin;
import com.brilliance.isc.bo.Fsa;
import com.brilliance.isc.bo.Ine;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Zxbgrp extends AbstractCommonVo {
    private Fin rec;
    private Fsa fsa;
    private List<Ine> inelst;
    private List<Cus> cuslst;

    @Override
    public void reset() {
        super.reset();
        if (rec == null) {
            rec = new Fin();
        }
        if (fsa == null) {
            fsa = new Fsa();
        }
        if (inelst == null) {
            inelst = new ArrayList<>();
        }
//        inelst.forEach(ine -> ine.reset());
        if (cuslst == null) {
            cuslst = new ArrayList<>();
        }
//        cuslst.forEach(cus -> cus.reset());
    }
}
